<html>
<head>
<title>Ogre::CompositorInstance::Listener Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1CompositorInstance.html">CompositorInstance</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1CompositorInstance_1_1Listener.html">Listener</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::CompositorInstance::Listener Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::CompositorInstance::Listener" -->
<p>Provides an interface to "listen in" to to render system operations executed by this <a class="el" href="classOgre_1_1CompositorInstance.html" title="An instance of a Compositor object for one Viewport.">CompositorInstance</a>.  
 <a href="classOgre_1_1CompositorInstance_1_1Listener.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreCompositorInstance_8h_source.html">OgreCompositorInstance.h</a>&gt;</code></p>

<p><a href="classOgre_1_1CompositorInstance_1_1Listener-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorInstance_1_1Listener.html#a82e8895563c0105986b247d973902e1d">~Listener</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorInstance_1_1Listener.html#a487a34865d41776e7ff9f42b4bcf7422">notifyMaterialSetup</a> (<a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> pass_id, <a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a> &amp;mat)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Notification of when a render target operation involving a material (like rendering a quad) is compiled, so that miscellaneous parameters that are different per <a class="el" href="classOgre_1_1Compositor.html" title="Class representing a Compositor object.">Compositor</a> instance can be set up.  <a href="#a487a34865d41776e7ff9f42b4bcf7422"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorInstance_1_1Listener.html#a4234db3c8711ea3f253b98b13ece8f2e">notifyMaterialRender</a> (<a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> pass_id, <a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a> &amp;mat)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Notification before a render target operation involving a material (like rendering a quad), so that material parameters can be varied.  <a href="#a4234db3c8711ea3f253b98b13ece8f2e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CompositorInstance_1_1Listener.html#a676b698ff66347981e632977b34de693">notifyResourcesCreated</a> (bool forResizeOnly)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Notification after resources have been created (or recreated).  <a href="#a676b698ff66347981e632977b34de693"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Provides an interface to "listen in" to to render system operations executed by this <a class="el" href="classOgre_1_1CompositorInstance.html" title="An instance of a Compositor object for one Viewport.">CompositorInstance</a>. </p>

<p>Definition at line <a class="el" href="OgreCompositorInstance_8h_source.html#l00057">57</a> of file <a class="el" href="OgreCompositorInstance_8h_source.html">OgreCompositorInstance.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a82e8895563c0105986b247d973902e1d"></a><!-- doxytag: member="Ogre::CompositorInstance::Listener::~Listener" ref="a82e8895563c0105986b247d973902e1d" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1CompositorInstance_1_1Listener.html#a82e8895563c0105986b247d973902e1d">Ogre::CompositorInstance::Listener::~Listener</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a4234db3c8711ea3f253b98b13ece8f2e"></a><!-- doxytag: member="Ogre::CompositorInstance::Listener::notifyMaterialRender" ref="a4234db3c8711ea3f253b98b13ece8f2e" args="(uint32 pass_id, MaterialPtr &amp;mat)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1CompositorInstance_1_1Listener.html#a4234db3c8711ea3f253b98b13ece8f2e">Ogre::CompositorInstance::Listener::notifyMaterialRender</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a>&#160;</td>
          <td class="paramname"><em>pass_id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a> &amp;&#160;</td>
          <td class="paramname"><em>mat</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Notification before a render target operation involving a material (like rendering a quad), so that material parameters can be varied. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">pass_id</td><td><a class="el" href="classOgre_1_1Pass.html" title="Class defining a single pass of a Technique (of a Material), i.e.">Pass</a> identifier within <a class="el" href="classOgre_1_1Compositor.html" title="Class representing a Compositor object.">Compositor</a> instance, this is specified by the user by <a class="el" href="classOgre_1_1CompositionPass.html#a56bb1d899a43195712944398e2d1bc65" title="Set an identifier for this pass.">CompositionPass::setIdentifier()</a>. </td></tr>
    <tr><td class="paramname">mat</td><td><a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a>, this may be changed at will and will only affect the current instance of the <a class="el" href="classOgre_1_1Compositor.html" title="Class representing a Compositor object.">Compositor</a>, not the global material it was cloned from. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a487a34865d41776e7ff9f42b4bcf7422"></a><!-- doxytag: member="Ogre::CompositorInstance::Listener::notifyMaterialSetup" ref="a487a34865d41776e7ff9f42b4bcf7422" args="(uint32 pass_id, MaterialPtr &amp;mat)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1CompositorInstance_1_1Listener.html#a487a34865d41776e7ff9f42b4bcf7422">Ogre::CompositorInstance::Listener::notifyMaterialSetup</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a>&#160;</td>
          <td class="paramname"><em>pass_id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a> &amp;&#160;</td>
          <td class="paramname"><em>mat</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Notification of when a render target operation involving a material (like rendering a quad) is compiled, so that miscellaneous parameters that are different per <a class="el" href="classOgre_1_1Compositor.html" title="Class representing a Compositor object.">Compositor</a> instance can be set up. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">pass_id</td><td><a class="el" href="classOgre_1_1Pass.html" title="Class defining a single pass of a Technique (of a Material), i.e.">Pass</a> identifier within <a class="el" href="classOgre_1_1Compositor.html" title="Class representing a Compositor object.">Compositor</a> instance, this is specified by the user by <a class="el" href="classOgre_1_1CompositionPass.html#a56bb1d899a43195712944398e2d1bc65" title="Set an identifier for this pass.">CompositionPass::setIdentifier()</a>. </td></tr>
    <tr><td class="paramname">mat</td><td><a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a>, this may be changed at will and will only affect the current instance of the <a class="el" href="classOgre_1_1Compositor.html" title="Class representing a Compositor object.">Compositor</a>, not the global material it was cloned from. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a676b698ff66347981e632977b34de693"></a><!-- doxytag: member="Ogre::CompositorInstance::Listener::notifyResourcesCreated" ref="a676b698ff66347981e632977b34de693" args="(bool forResizeOnly)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1CompositorInstance_1_1Listener.html#a676b698ff66347981e632977b34de693">Ogre::CompositorInstance::Listener::notifyResourcesCreated</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>forResizeOnly</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Notification after resources have been created (or recreated). </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">resizeOnly</td><td>Was the creation because the viewport was resized? </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreCompositorInstance_8h_source.html">OgreCompositorInstance.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:55
</p>
</body>
</html>
